/**
 * A Clipping application for homework #3, 
 * for CMSC 427 - Spring 2000.
 * 
 * @author Hua Guo
 * @date Feb. 17, 2000
 */

import java.awt.*;
import java.awt.event.*;

public class DrawingActionListener implements ActionListener
{
    private DrawingPanel panel; // the panel associated with
    
    /**
     * constructor
     */
    public DrawingActionListener(DrawingPanel panel){
        this.panel = panel;
    }
    
    /**
     * Each time click the button, repaint the panel
     */
    public void actionPerformed(ActionEvent e){
        panel.repaint ();
    }
}
